@import "../../scss/importer";

$primary-color: $cgn-dark;
$accent-color: $cgn-blue;

* {
  box-sizing: border-box;
}

.select {
  width: 100%;
  max-width: 100%;
  position: relative;
  z-index: 1;
  cursor: text;
  margin: 0.25em 0;
  // padding-bottom: 1.34375em;
  &__label {
    pointer-events: none;
    font-weight: 400;
    opacity: 0.7;
    color: $cgn-dark;
    font-size: 0.9rem;
    letter-spacing: 0;
    line-height: 1rem;
    height: 1.1rem;
    position: absolute;
    z-index: 1;
    pointer-events: none;
    top: 0;
    bottom: 0;
    left: 0.75rem;
    margin: auto;
    transition: font-size, 0.2s, top, 0.2s;
    font-family: $rubik;
    font-weight: 600;
  }
  &__content {
    height: 51px;
    z-index: 1;
    cursor: pointer;
    max-width: 100%;
    width: 100%;
    // border-radius: 5px;
    background-color: $white;
    // padding: 1.7rem 1.1rem 0.8rem;
    color: $cgn-grey3;
    font-size: 0.8rem;
    font-weight: 500;
    line-height: 1rem;
    position: relative;
    &.noBg {
      // background-color: red;
      background-color: transparent;
      @include breakpoint(medium down) {
        // border-top: 1px solid $cgn-dark;
        // border-left: 1px solid $cgn-dark;
        // border-right: 1px solid $cgn-dark;
        // border-radius: 4px;
      }
    }
  }
  &__current {
    cursor: pointer;
    padding: 0.25rem 0.75rem 0.25rem 0.75rem;
    margin-bottom: 0;
    font-weight: 500;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    &::before {
      content: "";
      top: 0;
      right: 10px;
      position: absolute;
      bottom: 17px;
      margin: auto;
      transition: transform, 0.25s, top, 0.25s;
      width: 0;
      height: 0;
      border-left: 5px solid transparent;
      border-right: 5px solid transparent;
      border-top: 5px solid;
    }
    &.noBg {
      &::before {
        content: "";
        top: 0;
        right: 10px;
        position: absolute;
        bottom: 37px !important;
        margin: auto;
        transition: transform, 0.25s, top, 0.25s;
        width: 0;
        height: 0;
        border-left: 5px solid transparent;
        border-right: 5px solid transparent;
        border-top: 5px solid;
      }
    }
  }
  &__list {
    overflow-y: hidden;
    width: 100%;
    position: absolute;
    top: calc(100% + 0.25rem - 1.34375em);
    background-color: $white;
    left: 0;
    // border-radius: 0.65rem;
    border: 1px solid #e0e0e0;
    box-shadow: 0 0 0.5rem 0 rgba(#000, 0.15);
    & > div {
      padding: 0.75rem 0;
    }
    &.select__list--search {
      // width: calc(100% + 3rem);
      & > div {
        padding-top: 0;
      }
    }
  }
  &__scroller {
    max-height: 150px;
    overflow-y: auto;
    &::-webkit-scrollbar {
      width: 16px;
    }

    &::-webkit-scrollbar-track {
      background-color: $cgn-light-blue;
    }

    &::-webkit-scrollbar-thumb {
      background: $primary-color;
      // border-radius: 1rem;
    }
  }
  &__voice {
    padding: 1rem 1.25rem;
    cursor: pointer;
    p {
      margin-bottom: 0;
      font-size: 0.8rem;
      font-weight: 500;
      line-height: 1rem;
    }
    &.select__voice--active {
      background: rgba(0, 0, 0, 0.04);
    }
    &:hover {
      background: rgba(0, 0, 0, 0.04);
    }
    &.select__voice--inactive {
      pointer-events: none;
      cursor: default;
    }
  }
  &__search {
    padding: 1rem 0.75rem;
    // border-bottom: 1px solid $accent-color;
    input {
      font-weight: bold;
      width: 100%;
      font-size: 0.8rem;
      line-height: 1rem;
      border: none;
      color: $cgn-grey3;
      outline: none;
      border-bottom: 1px solid $cgn-dark;
      &::-webkit-input-placeholder {
        font-weight: normal;
      }
      &::-moz-placeholder {
        font-weight: normal;
      }
      &:-ms-input-placeholder {
        font-weight: normal;
      }
      &:-moz-placeholder {
        font-weight: normal;
      }
    }
  }
  &.select--active {
    .select__label {
      top: -1.1rem;
      font-size: 0.65rem;
    }
  }
  &.select--open {
    .select__current::before {
      top: 0;
      transform: scaleY(-1);
    }
  }
}
